module test_c_1_6;


parameter    CYCLE = 10;

reg     clk    ;
reg     rst_n  ;
reg     en1    ;
reg     en2    ;
wire    dout   ;

c_1_6 uut(
   .clk  (clk  )    ,
   .rst_n(rst_n)    ,
   .en1   (en1   )    ,
    .en2   (en2   )    ,
   .dout (dout )      

);


initial begin
    clk = 0;
    forever begin
        #(CYCLE/2);
        clk = ~clk;
    end
end

initial begin
    #1;
    rst_n = 0;
    #(10*CYCLE);
    rst_n = 1;
end

initial begin
    #1;
    en1 = 0;
    en2 = 0;

    #(100*CYCLE);
    en1 = 1;
    #(1*CYCLE);
    en1 = 0;
    #(100*CYCLE);
    en1 = 1;
    #(1*CYCLE);
    en1 = 0;
    
    #(100*CYCLE);
    en2 = 1;
    #(1*CYCLE);
    en2 = 0;
    #(100*CYCLE);
    en2 = 1;
    #(1*CYCLE);
    en2 = 0;
end 


endmodule

